Package org.talend.transform.runtime.api

# Interface Section

All Known Subinterfaces:
  `MajorSection`

public interface Section
Identifies a section in an input of a map execution. Used primarily for the EDI segments.

## Method Summary

Modifier and Type
Method
Description
`int`
`getColumnNumber()`
`Section`
`getEnclosingSection()`
Return the section that encloses this.
`String`
`getIdentifier()`
The primary identifier of the section.
`int`
`getLineNumber()`
`int`
`getPosition()`
Position within the parent.
`List<org.talend.transform.runtime.common.StatusItem>`
`getStatusItems()`
Any status items associated with the section.

## Method Details

### getIdentifier

String getIdentifier()
The primary identifier of the section. For EDI X12 this is the segment name.

### getPosition

int getPosition()
Position within the parent.

### getColumnNumber

int getColumnNumber()

### getLineNumber

int getLineNumber()

### getEnclosingSection

Section getEnclosingSection()
Return the section that encloses this.

### getStatusItems

List<org.talend.transform.runtime.common.StatusItem> getStatusItems()
Any status items associated with the section.